<?php

namespace Werewr\Ewr\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MenuItemTransformer extends TransformerAbstract
{
    public function transform(\Werewr\Ewr\Models\Menu $menu)
    {
        return [
            'id'                => $menu->getRouteKey(),
            'id'                => $menu->id,
            'parent_id'         => $menu->parent_id,
            'key'               => $menu->key,
            'url'               => $menu->url,
            'icon'              => $menu->icon,
            'permission'        => $menu->permission,
            'role'              => $menu->role,
            'name'              => $menu->name,
            'description'       => $menu->description,
            'target'            => $menu->target,
            'order'             => $menu->order,
            'uload_folder'      => $menu->uload_folder,
            'slug'              => $menu->slug,
            'status'            => $menu->status,
            'upload_folder'     => $menu->upload_folder,
            'deleted_at'        => $menu->deleted_at,
            'created_at'        => $menu->created_at,
            'updated_at'        => $menu->updated_at,
            'status'            => trans('app.'.$menu->status),
            'created_at'        => format_date($menu->created_at),
            'updated_at'        => format_date($menu->updated_at),
        ];
    }
}