Lavalite package that provides ewr management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `werewr/ewr`.

    "werewr/ewr": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Werewr\Ewr\Providers\EwrServiceProvider::class,

And also add it to alias

    'Ewr'  => Werewr\Ewr\Facades\Ewr::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Werewr\\EwrTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Werewr\Ewr\Providers\EwrServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Werewr\Ewr\Providers\EwrServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Werewr\Ewr\Providers\EwrServiceProvider" --tag="view"


## Usage


