<?php

namespace Werewr\Ewr\Repositories\Eloquent;

use Werewr\Ewr\Interfaces\MenuRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MenuRepository extends BaseRepository implements MenuRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('werewr.ewr.menu.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('werewr.ewr.menu.model.model');
    }
}
